%define DISTRO %([ -f /etc/redhat-release ] && sed -e "s/\\(.\\+\\)\\( Linux release \\)\\(.\\+\\)\\( .\\+\\)/\\1 \\3/" /etc/redhat-release)
%define DISTRO_REL %([ -f /etc/redhat-release ] && sed -e "s/\\(.\\+ release \\)\\(.\\+\\)\\( .\\+\\)/\\2/" /etc/redhat-release)
%define REQ_RPM_REL %(rpm -q --queryformat "%{VERSION}" rpm)
%define GLIBC_REL %(rpm -q --queryformat "%{VERSION}" glibc)

Summary: 	Network traffic analyzer - No SNMP
Name: 		ethereal
Version:	0.10.0a
Release: 	1.RH%{DISTRO_REL}
Copyright: 	GPL
Group: 		Applications/Network
Source0: 	http://www.ethereal.com/distribution/%{name}-%{version}.tar.bz2
Url: 		http://www.ethereal.com/
BuildRoot: 	%{_tmppath}/%{name}-root
Packager: 	Richard Sharpe <rsharpe@richardsharpe.com>
Requires: 	gtk+ >= 1.2
Requires: 	libpcap >= 0.4
BuildRequires: 	libpcap >= 0.4
BuildRequires: 	zlib-devel
BuildRequires:  openssl

%package   base-net-snmp
Summary:   ethereal base package
Group:     Applications/Network
Requires:  libpcap >= 0.4
Requires:  net-snmp >= 5.0.0
Obsoletes: ethereal

%package   gtk+-net-snmp
Summary:   GTK+ GUI for ethereal package
Group:     Applications/Network
Requires:  gtk+ >= 1.2
Requires:  ethereal-base-net-snmp == %{version}-%{release}
Provides:  ethereal

# dummy, needed for RPM build time
%description

%description base-net-snmp
Ethereal is a network traffic analyzer for Unix-ish operating systems.

This package lays base for libpcap, a packet capture and filtering 
library, contains command-line utilities, contains plugins and 
documentation for ethereal. A graphical user interface is packaged 
separately to GTK+ package.

It does not require any SNMP libraries

%description gtk+-net-snmp
Contains GTK+ GUI ie. the ethereal -application.

It does not require any SNMP libraries

%prep
%setup -q

%build 
#CC="gcc -I/usr/include/pcap" CFLAGS="$RPM_OPT_FLAGS" \
#CC="gcc -I%{_includedir}/pcap" CFLAGS="$RPM_OPT_FLAGS" \
CFLAGS="$RPM_OPT_FLAGS" \
./configure \
   --prefix=%{_prefix} \
   --bindir=%{_sbindir} \
   --sysconfdir=%{_sysconfdir}/ethereal \
   --mandir=%{_mandir} \
   --enable-zlib \
   --with-ucdsnmp \
   --with-ssl \
   --enable-pcap \
   --with-gnu-ld \
   --disable-static \
   --with-net-snmp \
   --with-ucd-snmp=no \
   --with-plugindir=%{_libdir}/%{name}/plugins/%{version}
make

%install
rm -rf ${RPM_BUILD_ROOT}

make DESTDIR=${RPM_BUILD_ROOT} install

# install man
mkdir -p ${RPM_BUILD_ROOT}/%{_mandir}/man1
install -m 644 *.1 ${RPM_BUILD_ROOT}/%{_mandir}/man1

# Remi
strip --strip-debug ${RPM_BUILD_ROOT}%{_sbindir}/ethereal
find ${RPM_BUILD_ROOT}%{_libdir}/ethereal/plugins -type f -name "*.so" \
| xargs -n1 strip --strip-debug

%clean
rm -rf ${RPM_BUILD_ROOT}

%files base-net-snmp
%defattr(-,root,root)
%dir %{_datadir}/ethereal
%config %{_datadir}/ethereal/manuf
%dir %{_datadir}/ethereal/diameter
%attr(644,root,root) %{_datadir}/ethereal/diameter/*
%attr(755,root,root) %{_sbindir}/editcap
%attr(755,root,root) %{_sbindir}/tethereal
%attr(755,root,root) %{_sbindir}/idl2eth
%attr(755,root,root) %{_sbindir}/mergecap
%attr(755,root,root) %{_sbindir}/text2pcap
%{_mandir}/man1/editcap.*
%{_mandir}/man1/tethereal.*
%{_mandir}/man1/idl2eth.*
%{_mandir}/man1/mergecap.*
%{_mandir}/man1/text2pcap.*
%{_mandir}/man4/ethereal-filter.*
%dir %{_libdir}/ethereal
%dir %{_libdir}/ethereal/plugins
%dir %{_libdir}/ethereal/plugins/%{version}/
%{_libdir}/ethereal/plugins/%{version}/*
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README* doc/

%files gtk+-net-snmp
%defattr(-,root,root)
#%config(missingok) %{_sysconfdir}/X11/wmconfig/ethereal
%attr(755,root,root) %{_sbindir}/ethereal
%{_mandir}/man1/ethereal.*

%changelog
* Thu Aug 28 2003 Richard Sharpe <rsharpe@richardsharpe.com>
- 0.9.14
- Add support for -net-snmp versions of base and gtk+
- Strip the other packages that this spec file does not need.

* Tue Mar 11 2003 Henri Gomez <hgomez@users.sourceforge.net>
- 0.9.11

* Mon Mar 10 2003 Henri Gomez <hgomez@users.sourceforge.net>
- 0.9.10

* Fri Jan 24 2003 Henri Gomez <hgomez@users.sourceforge.net>
- 0.9.9

* Mon Dec 09 2002 Henri Gomez <hgomez@users.sourceforge.net>
- 0.9.8

* Mon Sep 30 2002 Henri Gomez <hgomez@users.sourceforge.net>
- 0.9.7

* Wed Aug 21 2002 Henri Gomez <hgomez@users.sourceforge.net>
- 0.9.6
- use bz2 source tarball to save bytes

* Fri Jul 05 2002 Henri Gomez <hgomez@users.sourceforge.net>
- 0.9.5
- ajp13 support included in 0.9.5 :)
- built under %{DISTRO}

* Thu Jun 20 2002 Henri Gomez <hgomez@users.sourceforge.net>
- 0.9.4 rpm release 2
- added ajp13 disector 

* Wed May 22 2002 Henri Gomez <hgomez@users.sourceforge.net>
- 0.9.4
- security fixes and more (read NEWS)

* Tue Apr 02 2002 Henri Gomez <hgomez@users.sourceforge.net>
- 0.9.3
- security fixes and more (read NEWS)

* Mon Mar 04 2002 Henri Gomez <hgomez@users.sourceforge.net>
- 0.9.2
- built on Redhat 6.2 + updates

* Mon Feb 04 2002 Henri Gomez <hgomez@users.sourceforge.net>
- 0.9.1
- built on Redhat 6.2 + updates

* Mon Jan 07 2002 Henri Gomez <hgomez@users.sourceforge.net>
- 0.9.0
- built on Redhat 6.2 + updates
- Too many updates to report here, take a look in NEWS

* Tue Oct 23 2001 Henri Gomez <hgomez@users.sourceforge.net>
- 0.8.20

* Thu Jul 20 2001 Henri Gomez <hgomez@users.sourceforge.net>
- 0.8.19
- RPM built on Redhat 6.2, updates, rpm 3.0.5 and ucd-snmpd 4.2
  against libpcap 0.6.2 (tcpdump 3.6.2) and openssl 0.9.6

* Thu May 17 2001 Henri Gomez <hgomez@users.sourceforge.net>
- 0.8.18
- Many improvement, take a look at NEWS in %{doc}
- Reduced the changelog history in .spec 

* Thu Apr 26 2001 Henri Gomez <hgomez@users.sourceforge.net>
- rebuilt under Redhat 6.2 + updates 
- reverted from rpm 4.0.2 to 3.0.5 for better compatibility with Redhat 6.x
- thanks Riku for the great refactory of the spec

* Thu Apr 26 2001 Riku Meskanen <mesrik@iki.fi>
- new binary package rearrangement, separated stuff that needs X11
- I changed, and I'm proposing group to Applications/Network for now ... as 
  the /usr/share/doc/rpm-*/GROUPS 'official' list does not have appropriate
  group for networking applications and leads them to be scattered around.
  The tcpdump is now at System/Internet and nmap from Applications/System, 
  the X11/* group is now on current distros mostly dead ... the X11/* tree 
  seems to still live on contrib packages. Well if it's necessary to show X11
  in group-name, I would rather suggest then Applications/Network{,ing}/X11 
  would make more sense and keep all applications closer together and all 
  it's bits and bobs easier locatable on multiple packages are built from
  one source package.

* Mon Apr 23 2001 Riku Meskanen <mesrik@iki.fi>
- rebuilt for RedHat 7.1
- created support for usermode
- added icons & config files for gnome and kde desktop integration
- added %dir %{_libdir}/ethereal/plugins to get clean uninstall
- further spec file minor cleaning, converted absolute paths to
  macros for better relocatability

* Sun Apr 16 2001  Henri Gomez <hgomez@users.sourceforge.net>
- 0.8.17 (grabbed corrected 0.8.17a archive)
- RPM built on Redhat 6.2, updates, rpm 4.0

* Tue Mar 06 2001 Henri Gomez <hgomez@users.sourceforge.net>
- 0.8.16
- RPM built on Redhat 6.1, updates, rpm 3.0.5 and libpcap-0.4-19
- ucd-snmp used 0.4.2-5 (added -lcrypto)
